@font-face { font-family: 'vicons'; font-weight: normal; font-style: normal; src: url('../fonts/vicons/vicons.eot?1u5j7r'); src: url('../fonts/vicons/vicons.eot?#iefix1u5j7r') format('embedded-opentype'), url('../fonts/vicons/vicons.woff?1u5j7r') format('woff'), url('../fonts/vicons/vicons.ttf?1u5j7r') format('truetype'), url('../fonts/vicons/vicons.svg?1u5j7r#vicons') format('svg'); }
.icon { font-family: 'vicons'; font-size: inherit; font-weight: normal; font-style: normal; line-height: inherit; position: relative; display: inline-block; transform: translate(0, 0); vertical-align: middle; text-rendering: auto; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; }

.icon-heart:before { content: '\e622'; }

/* Box colors */
.bg-2 {
	background: #7986cb;
	color: #ECEFF1;
}


/* Common button styles */
.button {
	min-width: 150px;
	max-width: 250px;
	display: block;
	margin: 1em auto;
	padding: 1em 2em;
	border: none;
	background: none;
	color: inherit;
	vertical-align: middle;
	position: relative;
	z-index: 1;
	-webkit-backface-visibility: hidden;
	-moz-osx-font-smoothing: grayscale;
}
.button:focus {
	outline: none;
}
.button > span {
	vertical-align: middle;
}

/* Text color adjustments (we could stick to the "inherit" but that does not work well in Safari) */
.bg-2 .button {
	color: #ECEFF1;
	border-color: #ECEFF1;
}

/* Sizes */
.button--size-s {
	font-size: 14px;
}

/* Sizes */
.button--size-s {
	font-size: 14px;
}
/* Typography and Roundedness */
.button--text-upper {
	letter-spacing: 2px;
	text-transform: uppercase;
}
.button--text-thick {
	font-weight: 600;
}

/* Borders */
.button--border-thick {
	border: 3px solid;
}




/* Naira */
.button--naira {
	padding: 0;
	overflow: hidden;
	-webkit-transition: background-color 0.3s;
	transition: background-color 0.3s;
}
.button--naira::before {
	content: '';
	position: absolute;
	left: -50%;
	width: 200%;
	height: 200%;
	background: #37474f;
	top: -50%;
	z-index: -1;
	-webkit-transform: translate3d(0, -100%, 0);
	transform: translate3d(0, -100%, 0);
}
.button--naira.button--inverted::before {
	background: #7986cb;
}
.button--naira-up::before {
	-webkit-transform: translate3d(0, 100%, 0);
	transform: translate3d(0, 100%, 0);
}
.button--naira > span {
	display: block;
}
.button--naira .button__icon {
	position: absolute;
	top: 0;
	right:0;
	left: 0;
	color: #fff;
	-webkit-transform: translate3d(0, -100%, 0);
	transform: translate3d(0, -100%, 0);
}
.button--naira-up .button__icon {
	-webkit-transform: translate3d(0, 100%, 0);
	transform: translate3d(0, 100%, 0);
}
.button--naira > span,
.button--naira .button__icon {
	padding: 1em 2em;
	-webkit-transition: -webkit-transform 0.3s;
	transition: transform 0.3s;
	-webkit-transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
	transition-timing-function: cubic-bezier(0.75, 0, 0.125, 1);
}
.button--naira:hover::before {
	-webkit-animation: anim-naira-1 0.3s forwards ease-in;
	animation: anim-naira-1 0.3s forwards ease-in;
}
.button--naira-up:hover::before {
	-webkit-animation: anim-naira-2 0.3s forwards ease-in;
	animation: anim-naira-2 0.3s forwards ease-in;
}
@-webkit-keyframes anim-naira-1 {
	50% {
		-webkit-transform: translate3d(0, -50%, 0);
		transform: translate3d(0, -50%, 0);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
	}
	100% {
		-webkit-transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
		transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
	}
}
@keyframes anim-naira-1 {
	50% {
		-webkit-transform: translate3d(0, -50%, 0);
		transform: translate3d(0, -50%, 0);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
	}
	100% {
		-webkit-transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
		transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
	}
}
@-webkit-keyframes anim-naira-2 {
	50% {
		-webkit-transform: translate3d(0, 50%, 0) rotate3d(0, 0, 1, 10deg);
		transform: translate3d(0, 50%, 0) rotate3d(0, 0, 1, 10deg);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
	}
	100% {
		-webkit-transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
		transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
	}
}
@keyframes anim-naira-2 {
	50% {
		-webkit-transform: translate3d(0, 50%, 0) rotate3d(0, 0, 1, 10deg);
		transform: translate3d(0, 50%, 0) rotate3d(0, 0, 1, 10deg);
		-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
	}
	100% {
		-webkit-transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
		transform: translate3d(0, 0%, 0) rotate3d(0, 0, 1, 0deg);
	}
}
.button--naira:hover {
	background-color: #37474f;
	-webkit-transition: background-color 0s 0.3s;
	transition: background-color 0s 0.3s;
}
.button--naira.button--inverted:hover {
	background-color: #7986cb;
}
.button--naira:hover .button__icon {
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}
.button--naira:hover > span {
	opacity: 0;
	-webkit-transform: translate3d(0, 100%, 0);
	transform: translate3d(0, 100%, 0);
}
.button--naira-up:hover > span {
	-webkit-transform: translate3d(0, -100%, 0);
	transform: translate3d(0, -100%, 0);
}